tigase.server.ext

## Class CompRepoItem

- java.lang.Object
- - tigase.db.comp.RepositoryItemAbstract
  - - tigase.server.ext.CompRepoItem

- All Implemented Interfaces:
    RepositoryItem

      public class CompRepoItem
      extends RepositoryItemAbstract

  Created: Oct 3, 2009 4:39:51 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONN_TYPE_ATTR`
    `static String` | `CONNECTION_TYPE_LABEL`
    `static LoadBalancerIfc` | `DEF_LB_CLASS`
    `static String` | `DOMAIN_ATTR`
    `static String` | `DOMAIN_NAME_LABEL`
    `static String` | `DOMAIN_PASS_LABEL`
    `static String` | `LB_CLASS_LABEL`
    `static String` | `LB_NAME_ATTR`
    `static String` | `PASSWORD_ATTR`
    `static String` | `PORT_NO_ATTR`
    `static String` | `PORT_NO_LABEL`
    `static String` | `PROTO_XMLNS_ATTR`
    `static String` | `PROTO_XMLNS_LABEL`
    `static String` | `REMOTE_HOST_ATTR`
    `static String` | `REMOTE_HOST_LABEL`
    `static String` | `REPO_ITEM_ELEM_NAME`
    `static String` | `ROUTINGS_ATTR`
    `static String` | `ROUTINGS_LABEL`
    `static String` | `SOCKET_ATTR`
    `static String` | `SOCKET_LABEL`

    - ### Fields inherited from class tigase.db.comp.RepositoryItemAbstract

      `ADMINS_ATT, ADMINS_LABEL, OWNER_ATT, OWNER_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompRepoItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCommandFields(Packet packet)` The method is used for handling ad-hoc commands.
    `String` | `getAuthPasswd()`
    `ConnectionType` | `getConnectionType()`
    `String` | `getDomain()`
    `String` | `getElemName()`
    `String` | `getKey()` Returns a unique key for the item in the repository.
    `String` | `getLb()`
    `LoadBalancerIfc` | `getLoadBalancer()`
    `int` | `getPort()`
    `String` | `getRemoteHost()`
    `String[]` | `getRoutings()`
    `SocketType` | `getSocket()`
    `String` | `getXMLNS()`
    `void` | `initFromCommand(Packet packet)` The method used for handling ad-hoc commands.
    `void` | `initFromElement(Element elem)` The item can be also initialized from a more complex repositories: XML repository or SQL database.
    `void` | `initFromPropertyString(String propString)` The item can be initialized based on the data loaded from a configuration file.
    `void` | `setDomain(String domain)`
    `protected void` | `setKey(String key)`
    `void` | `setLb(String clazz)`
    `Element` | `toElement()` Item data can be stored in a more complex form than a simple property string.
    `String` | `toPropertyString()` The item can be initialized based on the data loaded from a configuration file.
    `String` | `toString()`

    - ### Methods inherited from class tigase.db.comp.RepositoryItemAbstract

      `getAdmins, getOwner, isAdmin, isOwner, setAdmins, setOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONN_TYPE_ATTR

          public static final String CONN_TYPE_ATTR

      See Also:
        Constant Field Values

    - #### CONNECTION_TYPE_LABEL

          public static final String CONNECTION_TYPE_LABEL

      See Also:
        Constant Field Values

    - #### DOMAIN_ATTR

          public static final String DOMAIN_ATTR

      See Also:
        Constant Field Values

    - #### DOMAIN_NAME_LABEL

          public static final String DOMAIN_NAME_LABEL

      See Also:
        Constant Field Values

    - #### DOMAIN_PASS_LABEL

          public static final String DOMAIN_PASS_LABEL

      See Also:
        Constant Field Values

    - #### LB_CLASS_LABEL

          public static final String LB_CLASS_LABEL

      See Also:
        Constant Field Values

    - #### LB_NAME_ATTR

          public static final String LB_NAME_ATTR

      See Also:
        Constant Field Values

    - #### PASSWORD_ATTR

          public static final String PASSWORD_ATTR

      See Also:
        Constant Field Values

    - #### PORT_NO_ATTR

          public static final String PORT_NO_ATTR

      See Also:
        Constant Field Values

    - #### PORT_NO_LABEL

          public static final String PORT_NO_LABEL

      See Also:
        Constant Field Values

    - #### PROTO_XMLNS_ATTR

          public static final String PROTO_XMLNS_ATTR

      See Also:
        Constant Field Values

    - #### PROTO_XMLNS_LABEL

          public static final String PROTO_XMLNS_LABEL

      See Also:
        Constant Field Values

    - #### REMOTE_HOST_ATTR

          public static final String REMOTE_HOST_ATTR

      See Also:
        Constant Field Values

    - #### REMOTE_HOST_LABEL

          public static final String REMOTE_HOST_LABEL

      See Also:
        Constant Field Values

    - #### REPO_ITEM_ELEM_NAME

          public static final String REPO_ITEM_ELEM_NAME

      See Also:
        Constant Field Values

    - #### ROUTINGS_ATTR

          public static final String ROUTINGS_ATTR

      See Also:
        Constant Field Values

    - #### ROUTINGS_LABEL

          public static final String ROUTINGS_LABEL

      See Also:
        Constant Field Values

    - #### SOCKET_ATTR

          public static final String SOCKET_ATTR

      See Also:
        Constant Field Values

    - #### SOCKET_LABEL

          public static final String SOCKET_LABEL

      See Also:
        Constant Field Values

    - #### DEF_LB_CLASS

          public static final LoadBalancerIfc DEF_LB_CLASS

  - ### Constructor Detail

    - #### CompRepoItem

          public CompRepoItem()

  - ### Method Detail

    - #### addCommandFields

          public void addCommandFields(Packet packet)

      Description copied from interface: `RepositoryItem`
      The method is used for handling ad-hoc commands. The 'empty' ad-hoc command packet is provided and the Item should fill it with fields for the user.
      Specified by:
        `addCommandFields` in interface `RepositoryItem`
      Overrides:
        `addCommandFields` in class `RepositoryItemAbstract`
      Parameters:
        `packet` - with empty ad-hoc command to fill with fields

    - #### getAuthPasswd

          public String getAuthPasswd()

    - #### getConnectionType

          public ConnectionType getConnectionType()

    - #### getLoadBalancer

          public LoadBalancerIfc getLoadBalancer()

    - #### getLb

          public String getLb()

    - #### setLb

          public void setLb(String clazz)

    - #### getDomain

          public String getDomain()

    - #### setDomain

          public void setDomain(String domain)

    - #### getElemName

          public String getElemName()

      Specified by:
        `getElemName` in class `RepositoryItemAbstract`

    - #### getKey

          public String getKey()

      Description copied from interface: `RepositoryItem`
      Returns a unique key for the item in the repository. All items are stored in a memory cache which is a Map. And the key returned by this method is the item identifier in the Map.
      Returns:
        an Item key.

    - #### setKey

          protected void setKey(String key)

      Specified by:
        `setKey` in class `RepositoryItemAbstract`

    - #### getPort

          public int getPort()

    - #### getRemoteHost

          public String getRemoteHost()

    - #### getRoutings

          public String[] getRoutings()

    - #### getXMLNS

          public String getXMLNS()

    - #### getSocket

          public SocketType getSocket()

    - #### initFromCommand

          public void initFromCommand(Packet packet)

      Description copied from interface: `RepositoryItem`
      The method used for handling ad-hoc commands. After a user fills all given field the ad-hoc command packet is passed back to the item to initialize it with data. Similar method to initFromElement(), but the data source is different.
      Specified by:
        `initFromCommand` in interface `RepositoryItem`
      Overrides:
        `initFromCommand` in class `RepositoryItemAbstract`
      Parameters:
        `packet` - with ad-hoc command filled by the user.

    - #### initFromElement

          public void initFromElement(Element elem)

      Description copied from interface: `RepositoryItem`
      The item can be also initialized from a more complex repositories: XML repository or SQL database. In such a case more complex representation is prefered, possibly carrying more information about the item. The method is called to initialize the item with a data parsed from an XML representation of the repository.
      Specified by:
        `initFromElement` in interface `RepositoryItem`
      Overrides:
        `initFromElement` in class `RepositoryItemAbstract`
      Parameters:
        `elem` - XML Element with all the item initialization data.

    - #### initFromPropertyString

          public void initFromPropertyString(String propString)

      Description copied from interface: `RepositoryItem`
      The item can be initialized based on the data loaded from a configuration file. In such a case the item representation is usually very simplified as a list of parameters separated by a marker. Please note, usually each item is separated from another with a comma, therefore do not use a comma in the item property string. Double collon is commonly used alternative.
      Parameters:
        `propString` - is a property string to initialize the RepositoryItem.

    - #### toElement

          public Element toElement()

      Description copied from interface: `RepositoryItem`
      Item data can be stored in a more complex form than a simple property string. The XML Element can contain much more detailed information about the element than the simplified form and is used to store the repository item in more advanced repositories then just property file. XML repository or SQL database can keep many records for repository item with as much detailed information as needed.
      Specified by:
        `toElement` in interface `RepositoryItem`
      Overrides:
        `toElement` in class `RepositoryItemAbstract`
      Returns:
        an XML Element with all the item initialization data.

    - #### toPropertyString

          public String toPropertyString()

      Description copied from interface: `RepositoryItem`
      The item can be initialized based on the data loaded from a configuration file. In such a case the item representation is usually very simplified as a list of parameters separated by a marker. Please note, usually each item is separated from another with a comma, therefore do not use a comma in the item property string. Double collon is commonly used alternative.
      Returns:
        a property string representing the repository item in a simplified form.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.